#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_getAltitude
==========================================================================*/

unsigned char TPRO_getAltitude (TPRO_BoardObj *hnd, TPRO_AltObj *Altp)
{
  unsigned long length;
  int err;

  AltObj Altitude;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  // make sure we are a tsat
  if ((hnd->options != 0x9070) && (hnd->options != 0x9072) &&  // 16 bit board
      (hnd->options != 0x9170) && (hnd->options != 0x9172) &&  // 32 bit board
      (hnd->options != 0x7100) && (hnd->options != 0x7300))    // cPCI, PMC
  {
    return (TPRO_INVALID_BOARD_TYPE_ERR);
  }

  /**
  ***  create I/O control
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_GET_ALTITUDE, &Altitude);
  if (err < 0)	return (TPRO_COMM_ERR);


  /**
  ***  fill-in users context
  **/
  {
    float temp;

    temp = (float) (Altitude.meters);
    temp /= (float) 10;
    Altp->meters  = temp;
  }

  return (TPRO_SUCCESS);
}
