#include <sys/file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ddtpro.h>
#include <tpro.h>


/*==========================================================================
  TPRO_getFirmware
==========================================================================*/

unsigned char TPRO_getFirmware (TPRO_BoardObj *hnd, char *firmware)
{
  int err;


  /**
  *** verify valid string buffer
  **/

  if ((hnd == NULL) || (firmware == NULL)) {
    return (TPRO_HANDLE_ERR);
  }


  /**
  ***  get firmware from device
  **/

  if (ioctl (hnd->file_descriptor, IOCTL_TPRO_GET_FIRMWARE, firmware) < 0) {
    return (TPRO_COMM_ERR);
  }

  return (TPRO_SUCCESS);
}
