#include <sys/file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ddtpro.h>
#include <tpro.h>


/*==========================================================================
  TPRO_getFPGA
==========================================================================*/

unsigned char TPRO_getFPGA (TPRO_BoardObj *hnd, char *fpga)
{
  int err;

  /**
  *** verify valid string buffer
  **/

  if ((hnd == NULL) || (fpga == NULL)) {
    return (TPRO_HANDLE_ERR);
  }


  /**
  ***  copy fpga version
  **/
  unsigned char version[6];

  if ((hnd->options == 0x9150) ||
      (hnd->options == 0x9151) ||
      (hnd->options == 0x9152) ||
      (hnd->options == 0x9153) ||
      (hnd->options == 0x9170) ||
      (hnd->options == 0x9172) ||
      (hnd->options == 0x7000) ||
      (hnd->options == 0x7100) ||
      (hnd->options == 0x7200) ||
      (hnd->options == 0x7300))
  {
      if (ioctl (hnd->file_descriptor, IOCTL_TPRO_GET_FPGA, fpga) < 0)
      {
          return (TPRO_COMM_ERR);
      }
  }
  else
  {
      return (TPRO_INVALID_BOARD_TYPE_ERR);
  }  


  if ((hnd->options == 0x9150) ||
      (hnd->options == 0x9151) ||
      (hnd->options == 0x9152) ||
      (hnd->options == 0x9153) ||
      (hnd->options == 0x9170) ||
      (hnd->options == 0x9172))
  {
  /* convert from the two byte values to the string form of the result */
  sprintf(fpga,"%02d.%02d",fpga[0],fpga[1]);
  }

  else
  {
  /* convert from the two byte values to the string form of the result */
  sprintf(fpga,"%02X-%02X-%02X",fpga[0],fpga[1],fpga[2]);
  }

  return (TPRO_SUCCESS);
}
