#include <stdio.h>

#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_getTime
==========================================================================*/

unsigned char TPRO_getTime (TPRO_BoardObj *hnd, TPRO_TimeObj *Timep)
{
  unsigned long length;
  int err;
  
  TimeObj TimeContext;

  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  create I/O control returns nonzero on success
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_GET_TIME, (char *) &TimeContext);
  if (err == -1) {
    printf ("File Descriptor: %d\n", hnd->file_descriptor);
    printf ("Error: %d\n", err);
    return (TPRO_COMM_ERR);
  }

  /**
  ***  fill-in users context
  **/
  {
    double temp;

    temp = (double) (TimeContext.secsDouble);
    temp /= (double) 1000000.0;
    Timep->secsDouble = temp;
    Timep->seconds = (unsigned char) (Timep->secsDouble);

    Timep->minutes = TimeContext.minutes;
    Timep->hours   = TimeContext.hours;
    Timep->days    = TimeContext.days;

    if ( (hnd->options == 0x7000) || (hnd->options == 0x7100) ||
         (hnd->options == 0x7200) || (hnd->options == 0x7300) ) {
         Timep->year  = TimeContext.year;
    }

    Timep->flags   = TimeContext.flags;
  }

  return (TPRO_SUCCESS);
}
