#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_setPropDelayCorr
==========================================================================*/

unsigned char TPRO_setPropDelayCorr (TPRO_BoardObj *hnd, int *us)
{
  unsigned long length;
  int err;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  verify good correction factor if specified
  **/
  
  if (us != NULL)
  {
      /** Compact PCI / PMC **/
      if ((hnd->options == 0x7000) || 
          (hnd->options == 0x7100) ||
          (hnd->options == 0x7200) ||
          (hnd->options == 0x7300)) {
        if ( (*us < -999) || (*us > 999) ) return (TPRO_DELAY_PARM_ERR);
      }

      /** PCI **/
      if ( (*us < -1000) || (*us > 8999) ) return (TPRO_DELAY_PARM_ERR);
  }


  /**
  ***  create I/O control returns nonzero on success
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_SET_PROP_DELAY_CORR, us);
  err = (err < 0) ? TPRO_COMM_ERR : TPRO_SUCCESS;

  return (err);
}
