#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_setYear
==========================================================================*/

unsigned char TPRO_setYear (TPRO_BoardObj *hnd, unsigned short *yr)
{
  unsigned long length;
  int err;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  check for -m option
  **/

//  if ((hnd->options == 0x9051) || (hnd->options == 0x9053) ||
//      (hnd->options == 0x9151) || (hnd->options == 0x9153) )
//    return (TPRO_INVALID_BOARD_TYPE_ERR);


  /**
  ***  check for valid year
  **/

  if ( (*yr < 1990) || (*yr > 2999) )
    return (TPRO_YEAR_PARM_ERR);


  /**
  ***  create I/O control returns nonzero on success
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_SET_YEAR, yr);
  err = (err < 0) ? TPRO_COMM_ERR : TPRO_SUCCESS;

  return (err);
}
