#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>

/*==========================================================================
  TPRO_waitHeartbeat
==========================================================================*/

unsigned char TPRO_waitHeartbeat(TPRO_BoardObj *hnd, int *ticks)
{
  unsigned long length;
  int err;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  create I/O control
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_WAIT_HEART, ticks);
  if (err < 0) err = TPRO_COMM_ERR;
  if (err > 0) err = TPRO_TIMEOUT_ERR;

  return (err);
}


